import { defineHopeConfig } from "vuepress-theme-hope";
import themeConfig from "./themeConfig";

// const { googleAnalyticsPlugin } = require('@vuepress/plugin-google-analytics')


export default defineHopeConfig({
  base: "/",

  dest: "./dist",

  head: [
    [
      "link",
      {
        rel: "stylesheet",
        href: "//at.alicdn.com/t/font_2410206_mfj6e1vbwo.css",
      },
    ],
    [
      "script",
      {
        async: true,
        src: "https://www.googletagmanager.com/gtag/js?id=G-L85GT01WZ5",
      },
    ],
    [
      "script",
      {},
      "  window.dataLayer = window.dataLayer || [];      function gtag(){dataLayer.push(arguments);}      gtag('js', new Date());      gtag('config', 'G-L85GT01WZ5');"
    ]
  ],

  locales: {
    // "/": {
    //   lang: "en-US",
    //   title: "Theme Demo",
    //   description: "A demo for vuepress-theme-hope",
    // },
    "/": {
      lang: "zh-CN",
      title: "西安交通大学科幻协会",
      description: "Site of XJTU-SFA",
    },
  },

  themeConfig,

  // plugins: [
  //   googleAnalyticsPlugin({
  //     id: 'G-L85GT01WZ5',
  //   }),
  // ],
  


});

